(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     70944,       1882]
NotebookOptionsPosition[     66284,       1791]
NotebookOutlinePosition[     66972,       1814]
CellTagsIndexPosition[     66886,       1809]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.699189495167862*^9, 3.6991895018674097`*^9}},
 CellLabel->
  "In[519]:=",ExpressionUUID->"f0323728-e4bb-4afd-be93-b82d118dd83c"],

Cell[BoxData["\<\"/Users/yang/Projects/FBLFQ-master/LightFrontSpinors\"\>"], \
"Output",
 CellChangeTimes->{3.6991895030507193`*^9, 3.828399687457795*^9},
 CellLabel->
  "Out[519]=",ExpressionUUID->"bbb312a9-a1c2-4ac7-9c87-c77e1719f355"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"u", "=."}]], "Input",
 CellChangeTimes->{{3.828399723749344*^9, 3.828399734681171*^9}},
 CellLabel->
  "In[526]:=",ExpressionUUID->"2c1686b5-1040-4811-8fb3-b2744b5949a2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "\"\<LightFrontSpinors.m\>\""}]], "Input",
 CellChangeTimes->{{3.6991895116543827`*^9, 3.699189517770685*^9}},
 CellLabel->
  "In[527]:=",ExpressionUUID->"73f27e6f-a942-4432-9071-80871c1c064e"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Mathematica package LightFrontSpinors\"\>"], "Print",
 CellChangeTimes->{3.699189518609167*^9, 3.828399688647978*^9, 
  3.828399737451954*^9},
 CellLabel->
  "During evaluation of \
In[527]:=",ExpressionUUID->"691cfaa1-4963-4d0b-838d-bba65ed73fe7"],

Cell[BoxData["\<\"Author: Yang Li, <leeyoung@iastate.edu>\"\>"], "Print",
 CellChangeTimes->{3.699189518609167*^9, 3.828399688647978*^9, 
  3.828399737454915*^9},
 CellLabel->
  "During evaluation of \
In[527]:=",ExpressionUUID->"66c82e1c-4f72-4401-a3d7-0b65bc17b862"],

Cell[BoxData["\<\"Type ListOfVariables[] to see the list of light-front \
spinors.\"\>"], "Print",
 CellChangeTimes->{3.699189518609167*^9, 3.828399688647978*^9, 
  3.8283997374625893`*^9},
 CellLabel->
  "During evaluation of \
In[527]:=",ExpressionUUID->"64a2219c-cabd-4758-b052-59ba048dea65"],

Cell[BoxData["\<\"Type ListOfFunctions[] to see the list of utility \
functions.\"\>"], "Print",
 CellChangeTimes->{3.699189518609167*^9, 3.828399688647978*^9, 
  3.828399737464669*^9},
 CellLabel->
  "During evaluation of \
In[527]:=",ExpressionUUID->"e7503d08-9c86-4d43-817b-7295218256a8"],

Cell[BoxData["\<\"Type ListOfRules[] to see the list of rules.\"\>"], "Print",
 CellChangeTimes->{3.699189518609167*^9, 3.828399688647978*^9, 
  3.8283997374661007`*^9},
 CellLabel->
  "During evaluation of \
In[527]:=",ExpressionUUID->"c4d96fc6-e3ef-4561-8956-7343876c3106"],

Cell[BoxData["\<\"Mon 26 Apr 2021 12:22:17\"\>"], "Print",
 CellChangeTimes->{3.699189518609167*^9, 3.828399688647978*^9, 
  3.8283997374689827`*^9},
 CellLabel->
  "During evaluation of \
In[527]:=",ExpressionUUID->"915a34f8-955b-416c-a417-c29477d01563"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListOfVariables", "[", "]"}]], "Input",
 CellChangeTimes->{{3.699189522135847*^9, 3.699189526034657*^9}},
 CellLabel->
  "In[521]:=",ExpressionUUID->"8eb862fd-df6a-4538-9075-c15979d28290"],

Cell[BoxData["\<\"Gamma0, Gamma1, Gamma2, Gamma3, Gamma5, GammaMatrices, \
GammaP, GammaM, GammaL, GammaR.\"\>"], "Print",
 CellChangeTimes->{3.699189527034357*^9, 3.828399693444373*^9},
 CellLabel->
  "During evaluation of \
In[521]:=",ExpressionUUID->"e4d4a267-2b96-4e12-94e8-8d7239cfc189"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListOfFunctions", "[", "]"}]], "Input",
 CellChangeTimes->{{3.699189530517067*^9, 3.699189536066471*^9}},
 CellLabel->
  "In[522]:=",ExpressionUUID->"88502ffd-c15b-42d0-81fc-14abef22efc4"],

Cell[BoxData["\<\"DisplayGamma[], DisplayGammaOnLightFront[], Slashed[], u, \
v, ubar, vbar.\"\>"], "Print",
 CellChangeTimes->{3.6991895368248377`*^9, 3.828399694943033*^9},
 CellLabel->
  "During evaluation of \
In[522]:=",ExpressionUUID->"656e4c70-5805-4a1c-97bf-790d48b2fecc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListOfRules", "[", "]"}]], "Input",
 CellChangeTimes->{{3.6991895386006804`*^9, 3.6991895412101803`*^9}},
 CellLabel->
  "In[523]:=",ExpressionUUID->"63c70298-8f55-45af-a70b-eb11c6320f2a"],

Cell[BoxData["\<\"displayconjugate, displaycomplex.\"\>"], "Print",
 CellChangeTimes->{3.699189541980795*^9, 3.828399696333206*^9},
 CellLabel->
  "During evaluation of \
In[523]:=",ExpressionUUID->"95ed915f-861c-449f-8a6e-51a3b5b373d7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "ubar"}]], "Input",
 CellChangeTimes->{{3.699190812794395*^9, 3.6991908201146812`*^9}},
 CellLabel->
  "In[524]:=",ExpressionUUID->"801a4b36-8a34-4b97-884b-f23321d52d3c"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = True, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"ubar[s, \\!\\(\\*SuperscriptBox[\\(p\\), \
\\(+\\)]\\), \\!\\(\\*SubscriptBox[\\(p\\), \\(x\\)]\\), \
\\!\\(\\*SubscriptBox[\\(p\\), \\(y\\)]\\), m] gives the bilinear spinor \
\\!\\(\\*SubscriptBox[\\(\\*OverscriptBox[\\(u\\), \\(_\\)]\\), \
\\(s\\)]\\)(p). s=+1,-1.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Definitions\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Definitions", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{"ubar", "[", 
                    RowBox[{
                    "LightFrontSpinors`LightFrontSpinors`Private`s_", ",", 
                    "LightFrontSpinors`LightFrontSpinors`Private`x_", ",", 
                    "LightFrontSpinors`LightFrontSpinors`Private`px_", ",", 
                    "LightFrontSpinors`LightFrontSpinors`Private`py_", ",", 
                    "LightFrontSpinors`LightFrontSpinors`Private`mf_"}], 
                    "]"}], ":=", 
                    RowBox[{
                    RowBox[{"Conjugate", "[", 
                    RowBox[{"u", "[", 
                    RowBox[{
                    "LightFrontSpinors`LightFrontSpinors`Private`s", ",", 
                    "LightFrontSpinors`LightFrontSpinors`Private`x", ",", 
                    "LightFrontSpinors`LightFrontSpinors`Private`px", ",", 
                    "LightFrontSpinors`LightFrontSpinors`Private`py", ",", 
                    "LightFrontSpinors`LightFrontSpinors`Private`mf"}], "]"}],
                     "]"}], ".", "Gamma0"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], \
"\<\"LightFrontSpinors`LightFrontSpinors`ubar\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"],
               ImageSizeCache->{10., {2., 8.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"],
               ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"ubar[s, \\!\\(\\*SuperscriptBox[\\(p\\), \
\\(+\\)]\\), \\!\\(\\*SubscriptBox[\\(p\\), \\(x\\)]\\), \
\\!\\(\\*SubscriptBox[\\(p\\), \\(y\\)]\\), m] gives the bilinear spinor \
\\!\\(\\*SubscriptBox[\\(\\*OverscriptBox[\\(u\\), \\(_\\)]\\), \
\\(s\\)]\\)(p). s=+1,-1.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{10., {2., 8.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "ubar[s, \!\(\*SuperscriptBox[\(p\), \(+\)]\), \!\(\*SubscriptBox[\(p\), \
\(x\)]\), \!\(\*SubscriptBox[\(p\), \(y\)]\), m] gives the bilinear spinor \!\
\(\*SubscriptBox[\(\*OverscriptBox[\(u\), \(_\)]\), \(s\)]\)(p). s=+1,-1.", 
    "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
    "DownValues" -> 
    Information`InformationValueForm[
     DownValues, LightFrontSpinors`LightFrontSpinors`ubar, {
      LightFrontSpinors`LightFrontSpinors`ubar[
         Pattern[LightFrontSpinors`LightFrontSpinors`Private`s, 
          Blank[]], 
         Pattern[LightFrontSpinors`LightFrontSpinors`Private`x, 
          Blank[]], 
         Pattern[LightFrontSpinors`LightFrontSpinors`Private`px, 
          Blank[]], 
         Pattern[LightFrontSpinors`LightFrontSpinors`Private`py, 
          Blank[]], 
         Pattern[LightFrontSpinors`LightFrontSpinors`Private`mf, 
          Blank[]]] :> Dot[
         Conjugate[
          LightFrontSpinors`LightFrontSpinors`u[
          LightFrontSpinors`LightFrontSpinors`Private`s, 
           LightFrontSpinors`LightFrontSpinors`Private`x, 
           LightFrontSpinors`LightFrontSpinors`Private`px, 
           LightFrontSpinors`LightFrontSpinors`Private`py, 
           LightFrontSpinors`LightFrontSpinors`Private`mf]], 
         LightFrontSpinors`LightFrontSpinors`Gamma0]}], "SubValues" -> None, 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "LightFrontSpinors`LightFrontSpinors`ubar"], False]]], "Output",
 CellChangeTimes->{3.828399698310728*^9},
 CellLabel->
  "Out[524]=",ExpressionUUID->"ff99a4a5-70d5-4e18-bd79-4068e15fd981"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ubareu", "[", 
   RowBox[{
   "s1_", ",", "p1p_", ",", "p1x_", ",", "p1y_", ",", "\[Lambda]_", ",", 
    "kp_", ",", "kx_", ",", "ky_", ",", "s2_", ",", "p2p_", ",", "p2x_", ",", 
    "p2y_"}], "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"ubar", "[", 
           RowBox[{"s1", ",", "p1p", ",", "p1x", ",", "p1y", ",", 
            SubscriptBox["m", "f"]}], "]"}], ".", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"GammaP", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"kx", "+", 
                 RowBox[{"I", " ", "ky"}]}], ")"}], "/", "kp"}], "/", 
              RowBox[{"Sqrt", "[", "2", "]"}]}]}], "-", 
            RowBox[{"GammaR", "/", 
             RowBox[{"Sqrt", "[", "2", "]"}]}]}], ")"}], ".", 
          RowBox[{"u", "[", 
           RowBox[{"s2", ",", "p2p", ",", "p2x", ",", "p2y", ",", 
            SubscriptBox["m", "f"]}], "]"}]}], "/", "2"}], "/", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"p1p", "*", "p2p"}], "]"}]}], ",", 
       RowBox[{"\[Lambda]", ">", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"ubar", "[", 
           RowBox[{"s1", ",", "p1p", ",", "p1x", ",", "p1y", ",", 
            SubscriptBox["m", "f"]}], "]"}], ".", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"GammaP", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"kx", "-", 
                 RowBox[{"I", " ", "ky"}]}], ")"}], "/", "kp"}], "/", 
              RowBox[{"Sqrt", "[", "2", "]"}]}]}], "-", 
            RowBox[{"GammaL", "/", 
             RowBox[{"Sqrt", "[", "2", "]"}]}]}], ")"}], ".", 
          RowBox[{"u", "[", 
           RowBox[{"s2", ",", "p2p", ",", "p2x", ",", "p2y", ",", 
            SubscriptBox["m", "f"]}], "]"}]}], "/", "2"}], "/", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"p1p", "*", "p2p"}], "]"}]}], ",", 
       RowBox[{"\[Lambda]", "<", "0"}]}], "}"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.699190925836068*^9, 3.699191204720684*^9}, {
  3.699191619203555*^9, 3.699191621583487*^9}, {3.699191668612031*^9, 
  3.699191684481456*^9}, {3.69919171728519*^9, 
  3.699191729400255*^9}},ExpressionUUID->"d1d7d11d-87f2-4922-b3c0-\
ab0353587abf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"ubareu", "[", 
     RowBox[{
      RowBox[{"+", "1"}], ",", 
      SubscriptBox["p", "\"\<1+\>\""], ",", 
      SubscriptBox["p", "\"\<1x\>\""], ",", 
      SubscriptBox["p", "\"\<1y\>\""], ",", 
      RowBox[{"+", "1"}], ",", 
      SubscriptBox["k", "+"], ",", 
      SubscriptBox["k", "x"], ",", 
      SubscriptBox["k", "y"], ",", 
      RowBox[{"+", "1"}], ",", 
      SubscriptBox["p", "\"\<2+\>\""], ",", 
      SubscriptBox["p", "\"\<2x\>\""], ",", 
      SubscriptBox["p", "\"\<2y\>\""]}], "]"}], ",", 
    RowBox[{"Assumptions", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SubscriptBox["p", "\"\<1+\>\""], ">", "0"}], ",", 
       RowBox[{
        SubscriptBox["p", "\"\<2+\>\""], ">", "0"}], ",", 
       RowBox[{
        SubscriptBox["k", "+"], ">", "0"}]}], "}"}]}]}], " ", "]"}], "/.", 
  "displayconjugate"}]], "Input",
 CellChangeTimes->{{3.6991916518300247`*^9, 3.6991916567804403`*^9}, {
  3.6991916944487123`*^9, 3.699191700010036*^9}, {3.699191738383514*^9, 
  3.699191744591267*^9}, {3.699191775878169*^9, 3.6991917765736837`*^9}, {
  3.699191808298388*^9, 3.699191837623474*^9}, {3.699191876966894*^9, 
  3.6991920293909492`*^9}},ExpressionUUID->"3fb5a15f-946e-44c2-9683-\
dc60fcde7ead"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["k", "x"], "+", 
      RowBox[{"\[ImaginaryI]", " ", 
       SubscriptBox["k", "y"]}]}], ")"}], " ", 
    SubscriptBox["p", "\<\"2+\"\>"]}], "-", 
   RowBox[{
    SubscriptBox["k", "+"], " ", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["p", "\<\"2x\"\>"], "+", 
      RowBox[{"\[ImaginaryI]", " ", 
       SubscriptBox["p", "\<\"2y\"\>"]}]}], ")"}]}]}], 
  RowBox[{
   SqrtBox["2"], " ", 
   SubscriptBox["k", "+"], " ", 
   SubscriptBox["p", "\<\"2+\"\>"]}]]], "Output",
 CellChangeTimes->{{3.699191879402164*^9, 3.699191888906554*^9}, {
   3.699191951460347*^9, 3.699191987063861*^9}, 
   3.699192030264069*^9},ExpressionUUID->"11977f4e-d72e-425d-ba9b-\
6b6be000fce0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"??", "displaycomplex"}]], "Input",
 CellChangeTimes->{{3.699192181790742*^9, 
  3.6991921895142097`*^9}},ExpressionUUID->"e58edb6c-b6d8-4468-a96b-\
3ef3af5ce1cd"],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox["\<\"displayconjugate provides rules to simply the displaying of \
complex numbers.\"\>", "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.699192190274591*^9},
 CellTags->
  "Info3699174190-1236834",ExpressionUUID->"8351e4bf-017a-4d78-84cd-\
a385ae4bd443"],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {GridBox[{
       {
        RowBox[{"displaycomplex", "=", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"\[ImaginaryI]", " ", 
              RowBox[{
              "Im", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
               "]"}]}], "+", 
             RowBox[{
             "Re", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
              "]"}]}], "\[Rule]", 
            "LightFrontSpinors`LightFrontSpinors`Private`x"}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"-", "\[ImaginaryI]"}], " ", 
              RowBox[{
              "Im", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
               "]"}]}], "+", 
             RowBox[{
             "Re", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
              "]"}]}], "\[Rule]", 
            RowBox[{
            "Conjugate", "[", "LightFrontSpinors`LightFrontSpinors`Private`x",
              "]"}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{
             "Im", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
              "]"}], "+", 
             RowBox[{"\[ImaginaryI]", " ", 
              RowBox[{
              "Re", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
               "]"}]}]}], "\[Rule]", 
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{
             "Conjugate", "[", 
              "LightFrontSpinors`LightFrontSpinors`Private`x", "]"}]}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{
              "Im", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
               "]"}]}], "+", 
             RowBox[{"\[ImaginaryI]", " ", 
              RowBox[{
              "Re", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
               "]"}]}]}], "\[Rule]", 
            RowBox[{
            "\[ImaginaryI]", " ", 
             "LightFrontSpinors`LightFrontSpinors`Private`x"}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"\[ImaginaryI]", " ", 
              RowBox[{
              "Im", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
               "]"}]}], "-", 
             RowBox[{
             "Re", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
              "]"}]}], "\[Rule]", 
            RowBox[{"-", 
             RowBox[{
             "Conjugate", "[", 
              "LightFrontSpinors`LightFrontSpinors`Private`x", "]"}]}]}], ",", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"-", "\[ImaginaryI]"}], " ", 
              RowBox[{
              "Im", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
               "]"}]}], "-", 
             RowBox[{
             "Re", "[", "LightFrontSpinors`LightFrontSpinors`Private`x_", 
              "]"}]}], "\[Rule]", 
            RowBox[{
            "-", "LightFrontSpinors`LightFrontSpinors`Private`x"}]}]}], 
          "}"}]}]}
      },
      BaselinePosition->{Baseline, {1, 1}},
      GridBoxAlignment->{
       "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
        "RowsIndexed" -> {}},
      GridBoxItemSize->{"Columns" -> {{
           Scaled[0.999]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
        "RowsIndexed" -> {}}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  Definition[LightFrontSpinors`LightFrontSpinors`displaycomplex],
  Editable->False]], "Print",
 CellChangeTimes->{3.69919219035778*^9},
 CellTags->
  "Info3699174190-1236834",ExpressionUUID->"1fb652de-0947-4a7c-88c8-\
09d695dfe6ad"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"me", "=", 
  RowBox[{"TableForm", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Part", "[", 
     RowBox[{
      RowBox[{"Reap", "@", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Sow", "@", 
          RowBox[{"(", 
           RowBox[{"{", 
            RowBox[{"\[Lambda]", ",", "s1", ",", "s2", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"TraditionalForm", "@", 
                RowBox[{"FullSimplify", "[", 
                 RowBox[{
                  RowBox[{"ubareu", "[", 
                   RowBox[{"s2", ",", 
                    SubscriptBox["p", "\"\<2+\>\""], ",", 
                    SubscriptBox["p", "\"\<2x\>\""], ",", 
                    SubscriptBox["p", "\"\<2y\>\""], ",", "\[Lambda]", ",", 
                    SubscriptBox["k", "+"], ",", 
                    SubscriptBox["k", "x"], ",", 
                    SubscriptBox["k", "y"], ",", "s1", ",", 
                    SubscriptBox["p", "\"\<1+\>\""], ",", 
                    SubscriptBox["p", "\"\<1x\>\""], ",", 
                    SubscriptBox["p", "\"\<1y\>\""]}], "]"}], ",", 
                  RowBox[{"Assumptions", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox["p", "\"\<1+\>\""], ">", "0"}], ",", 
                    RowBox[{
                    SubscriptBox["p", "\"\<2+\>\""], ">", "0"}], ",", 
                    RowBox[{
                    SubscriptBox["k", "+"], ">", "0"}], ",", 
                    RowBox[{
                    SubscriptBox["m", "f"], ">", "0"}]}], "}"}]}]}], " ", 
                 "]"}]}], "/.", "displayconjugate"}], "/.", 
              "displaycomplex"}]}], "}"}], ")"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"\[Lambda]", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"+", "1"}], ",", 
             RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s1", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"+", "1"}], ",", 
             RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"s2", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"+", "1"}], ",", 
             RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "]"}]}], ",", "2", ",", 
      "1"}], "]"}], ",", "\[IndentingNewLine]", 
    RowBox[{"TableHeadings", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"None", ",", 
       RowBox[{"{", 
        RowBox[{"\[Lambda]", ",", 
         SubscriptBox["s", "1"], ",", 
         SubscriptBox["s", "2"], ",", 
         "\"\<\!\(\*SubscriptBox[OverscriptBox[\(u\), \(_\)], \
SubscriptBox[\(s\), \(2\)]]\)(\!\(\*SubscriptBox[\(p\), \
\(2\)]\))\!\(\*SubscriptBox[\(\[Gamma]\), \
\(\[Mu]\)]\)\!\(\*SubsuperscriptBox[\(\[CurlyEpsilon]\), \(\[Lambda]\), \(\
\[Mu]\)]\)(k)\!\(\*SubscriptBox[\(u\), SubscriptBox[\(s\), \
\(1\)]]\)(\!\(\*SubscriptBox[\(p\), \(1\)]\))\>\""}], "}"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.69919082453933*^9, 3.699190865973789*^9}, {
  3.699190905360675*^9, 3.6991909191984873`*^9}, {3.69919122113489*^9, 
  3.6991914302095013`*^9}, {3.699191464200391*^9, 3.699191593937009*^9}, {
  3.6991920465723753`*^9, 3.6991920872439632`*^9}, {3.699192121027163*^9, 
  3.699192123777176*^9}, {3.699192153962267*^9, 3.699192170843547*^9}, {
  3.699192242269499*^9, 3.699192281490385*^9}, {3.6991977502052183`*^9, 
  3.699197785915728*^9}},ExpressionUUID->"e0f48f71-fc3b-49c9-818f-\
ab976fb11fc2"],

Cell[BoxData[
 FormBox[
  TagBox[
   TagBox[GridBox[{
      {
       TagBox["\[Lambda]",
        HoldForm], 
       TagBox[
        SubscriptBox["s", "1"],
        HoldForm], 
       TagBox[
        SubscriptBox["s", "2"],
        HoldForm], 
       TagBox["\<\"\\!\\(\\*SubscriptBox[OverscriptBox[\\(u\\), \\(_\\)], \
SubscriptBox[\\(s\\), \\(2\\)]]\\)(\\!\\(\\*SubscriptBox[\\(p\\), \
\\(2\\)]\\))\\!\\(\\*SubscriptBox[\\(\[Gamma]\\), \
\\(\[Mu]\\)]\\)\\!\\(\\*SubsuperscriptBox[\\(\[CurlyEpsilon]\\), \\(\[Lambda]\
\\), \\(\[Mu]\\)]\\)(k)\\!\\(\\*SubscriptBox[\\(u\\), SubscriptBox[\\(s\\), \
\\(1\\)]]\\)(\\!\\(\\*SubscriptBox[\\(p\\), \\(1\\)]\\))\"\>",
        HoldForm]},
      {"1", "1", "1", 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           RowBox[{
            SubscriptBox["p", "\<\"1+\"\>"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["k", "x"], "+", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["k", "y"]}]}], ")"}]}], "-", 
           RowBox[{
            SubscriptBox["k", "+"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["p", "\<\"1x\"\>"], "+", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["p", "\<\"1y\"\>"]}]}], ")"}]}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["k", "+"], " ", 
           SubscriptBox["p", "\<\"1+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {"1", "1", 
       RowBox[{"-", "1"}], 
       TagBox[
        FormBox["0",
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {"1", 
       RowBox[{"-", "1"}], "1", 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           SubscriptBox["m", "f"], " ", 
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["p", "\<\"1+\"\>"], "-", 
             SubscriptBox["p", "\<\"2+\"\>"]}], ")"}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["p", "\<\"1+\"\>"], " ", 
           SubscriptBox["p", "\<\"2+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {"1", 
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}], 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           RowBox[{
            SubscriptBox["p", "\<\"2+\"\>"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["k", "x"], "+", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["k", "y"]}]}], ")"}]}], "-", 
           RowBox[{
            SubscriptBox["k", "+"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubsuperscriptBox["p", "\<\"2x\"\>", "\<\"*\"\>"], "+", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubsuperscriptBox["p", "\<\"2y\"\>", "\<\"*\"\>"]}]}], 
             ")"}]}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["k", "+"], " ", 
           SubscriptBox["p", "\<\"2+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {
       RowBox[{"-", "1"}], "1", "1", 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             SubscriptBox["k", "+"], " ", 
             SubsuperscriptBox["p", "\<\"2x\"\>", "\<\"*\"\>"]}]}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            SubscriptBox["k", "+"], " ", 
            SubsuperscriptBox["p", "\<\"2y\"\>", "\<\"*\"\>"]}], "+", 
           RowBox[{
            SubscriptBox["p", "\<\"2+\"\>"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["k", "x"], "-", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["k", "y"]}]}], ")"}]}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["k", "+"], " ", 
           SubscriptBox["p", "\<\"2+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {
       RowBox[{"-", "1"}], "1", 
       RowBox[{"-", "1"}], 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           SubscriptBox["m", "f"], " ", 
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["p", "\<\"2+\"\>"], "-", 
             SubscriptBox["p", "\<\"1+\"\>"]}], ")"}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["p", "\<\"1+\"\>"], " ", 
           SubscriptBox["p", "\<\"2+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}], "1", 
       TagBox[
        FormBox["0",
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}], 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           RowBox[{
            SubscriptBox["p", "\<\"1+\"\>"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["k", "x"], "-", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["k", "y"]}]}], ")"}]}], "-", 
           RowBox[{
            SubscriptBox["k", "+"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["p", "\<\"1x\"\>"], "-", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["p", "\<\"1y\"\>"]}]}], ")"}]}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["k", "+"], " ", 
           SubscriptBox["p", "\<\"1+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    {None, OutputFormsDump`HeadedColumns}],
   Function[BoxForm`e$, 
    TableForm[BoxForm`e$, TableHeadings -> {None, {$CellContext`\[Lambda], 
        Subscript[$CellContext`s, 1], 
        Subscript[$CellContext`s, 2], 
        "\!\(\*SubscriptBox[OverscriptBox[\(u\), \(_\)], SubscriptBox[\(s\), \
\(2\)]]\)(\!\(\*SubscriptBox[\(p\), \(2\)]\))\!\(\*SubscriptBox[\(\[Gamma]\), \
\(\[Mu]\)]\)\!\(\*SubsuperscriptBox[\(\[CurlyEpsilon]\), \(\[Lambda]\), \(\
\[Mu]\)]\)(k)\!\(\*SubscriptBox[\(u\), SubscriptBox[\(s\), \
\(1\)]]\)(\!\(\*SubscriptBox[\(p\), \(1\)]\))"}}]]], 
  TraditionalForm]], "Output",
 CellChangeTimes->{
  3.699192357065205*^9, 3.6991924815789022`*^9, {3.699197762957592*^9, 
   3.699197813672308*^9}},
 Background->RGBColor[
  1, 1, 0.85],ExpressionUUID->"ed688809-274c-4675-a692-2ce08441b3b3"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ubarestaru", "[", 
   RowBox[{
   "s1_", ",", "p1p_", ",", "p1x_", ",", "p1y_", ",", "\[Lambda]_", ",", 
    "kp_", ",", "kx_", ",", "ky_", ",", "s2_", ",", "p2p_", ",", "p2x_", ",", 
    "p2y_"}], "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"ubar", "[", 
           RowBox[{"s1", ",", "p1p", ",", "p1x", ",", "p1y", ",", 
            SubscriptBox["m", "f"]}], "]"}], ".", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"GammaP", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"kx", "-", 
                 RowBox[{"I", " ", "ky"}]}], ")"}], "/", "kp"}], "/", 
              RowBox[{"Sqrt", "[", "2", "]"}]}]}], "-", 
            RowBox[{"GammaL", "/", 
             RowBox[{"Sqrt", "[", "2", "]"}]}]}], ")"}], ".", 
          RowBox[{"u", "[", 
           RowBox[{"s2", ",", "p2p", ",", "p2x", ",", "p2y", ",", 
            SubscriptBox["m", "f"]}], "]"}]}], "/", "2"}], "/", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"p1p", "*", "p2p"}], "]"}]}], ",", 
       RowBox[{"\[Lambda]", ">", "0"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"ubar", "[", 
           RowBox[{"s1", ",", "p1p", ",", "p1x", ",", "p1y", ",", 
            SubscriptBox["m", "f"]}], "]"}], ".", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"GammaP", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{"kx", "+", 
                 RowBox[{"I", " ", "ky"}]}], ")"}], "/", "kp"}], "/", 
              RowBox[{"Sqrt", "[", "2", "]"}]}]}], "-", 
            RowBox[{"GammaR", "/", 
             RowBox[{"Sqrt", "[", "2", "]"}]}]}], ")"}], ".", 
          RowBox[{"u", "[", 
           RowBox[{"s2", ",", "p2p", ",", "p2x", ",", "p2y", ",", 
            SubscriptBox["m", "f"]}], "]"}]}], "/", "2"}], "/", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"p1p", "*", "p2p"}], "]"}]}], ",", 
       RowBox[{"\[Lambda]", "<", "0"}]}], "}"}]}], "}"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.699199711177205*^9, 3.699199728140133*^9}, 
   3.6992001076675587`*^9},ExpressionUUID->"83098e9a-b5e2-4a54-baee-\
e75b37c253ca"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TableForm", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Part", "[", 
    RowBox[{
     RowBox[{"Reap", "@", 
      RowBox[{"Do", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Sow", "@", 
         RowBox[{"(", 
          RowBox[{"{", 
           RowBox[{"\[Lambda]", ",", "s1", ",", "s2", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"TraditionalForm", "@", 
               RowBox[{"FullSimplify", "[", 
                RowBox[{
                 RowBox[{"ubarestaru", "[", 
                  RowBox[{"s2", ",", 
                   SubscriptBox["p", "\"\<2+\>\""], ",", 
                   SubscriptBox["p", "\"\<2x\>\""], ",", 
                   SubscriptBox["p", "\"\<2y\>\""], ",", "\[Lambda]", ",", 
                   SubscriptBox["k", "+"], ",", 
                   SubscriptBox["k", "x"], ",", 
                   SubscriptBox["k", "y"], ",", "s1", ",", 
                   SubscriptBox["p", "\"\<1+\>\""], ",", 
                   SubscriptBox["p", "\"\<1x\>\""], ",", 
                   SubscriptBox["p", "\"\<1y\>\""]}], "]"}], ",", 
                 RowBox[{"Assumptions", "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    SubscriptBox["p", "\"\<1+\>\""], ">", "0"}], ",", 
                    RowBox[{
                    SubscriptBox["p", "\"\<2+\>\""], ">", "0"}], ",", 
                    RowBox[{
                    SubscriptBox["k", "+"], ">", "0"}], ",", 
                    RowBox[{
                    SubscriptBox["m", "f"], ">", "0"}], ",", 
                    RowBox[{
                    SubscriptBox["p", "\"\<1+\>\""], "\[Element]", "Reals"}], 
                    ",", 
                    RowBox[{
                    SubscriptBox["p", "\"\<2+\>\""], "\[Element]", "Reals"}], 
                    ",", 
                    RowBox[{
                    SubscriptBox["k", "+"], "\[Element]", "Reals"}], ",", 
                    RowBox[{
                    SubscriptBox["m", "f"], "\[Element]", "Reals"}]}], 
                   "}"}]}]}], " ", "]"}]}], "/.", "displayconjugate"}], "/.", 
             "displaycomplex"}]}], "}"}], ")"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"{", 
         RowBox[{"\[Lambda]", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"+", "1"}], ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"{", 
         RowBox[{"s1", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"+", "1"}], ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
        
        RowBox[{"{", 
         RowBox[{"s2", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"+", "1"}], ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], "]"}]}], ",", "2", ",", 
     "1"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"{", 
       RowBox[{"\[Lambda]", ",", 
        SubscriptBox["s", "1"], ",", 
        SubscriptBox["s", "2"], ",", 
        "\"\<\!\(\*SubscriptBox[OverscriptBox[\(u\), \(_\)], SubscriptBox[\(s\
\), \(2\)]]\)(\!\(\*SubscriptBox[\(p\), \
\(2\)]\))\!\(\*SubscriptBox[\(\[Gamma]\), \
\(\[Mu]\)]\)\!\(\*SubsuperscriptBox[\(\[CurlyEpsilon]\), \(\[Lambda]\), \(\(\
\[Mu]\)\(*\)\)]\)(k)\!\(\*SubscriptBox[\(u\), SubscriptBox[\(s\), \
\(1\)]]\)(\!\(\*SubscriptBox[\(p\), \
\(1\)]\))/2\!\(\*SqrtBox[\(\*SubsuperscriptBox[\(p\), \(1\), \(+\)] \
\*SubsuperscriptBox[\(p\), \(2\), \(+\)]\)]\)\>\""}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.699199761554863*^9, 3.6991997898588142`*^9}, {
   3.6991998338496857`*^9, 3.699199874653955*^9}, {3.699199905855301*^9, 
   3.699199909321144*^9}, {3.6992000823992147`*^9, 3.699200084638142*^9}, 
   3.699200135559552*^9},ExpressionUUID->"29fe47fa-2744-4a63-893a-\
c0411604d290"],

Cell[BoxData[
 FormBox[
  TagBox[
   TagBox[GridBox[{
      {
       TagBox["\[Lambda]",
        HoldForm], 
       TagBox[
        SubscriptBox["s", "1"],
        HoldForm], 
       TagBox[
        SubscriptBox["s", "2"],
        HoldForm], 
       TagBox["\<\"\\!\\(\\*SubscriptBox[OverscriptBox[\\(u\\), \\(_\\)], \
SubscriptBox[\\(s\\), \\(2\\)]]\\)(\\!\\(\\*SubscriptBox[\\(p\\), \
\\(2\\)]\\))\\!\\(\\*SubscriptBox[\\(\[Gamma]\\), \
\\(\[Mu]\\)]\\)\\!\\(\\*SubsuperscriptBox[\\(\[CurlyEpsilon]\\), \\(\[Lambda]\
\\), \\(\\(\[Mu]\\)\\(*\\)\\)]\\)(k)\\!\\(\\*SubscriptBox[\\(u\\), \
SubscriptBox[\\(s\\), \\(1\\)]]\\)(\\!\\(\\*SubscriptBox[\\(p\\), \
\\(1\\)]\\))/2\\!\\(\\*SqrtBox[\\(\\*SubsuperscriptBox[\\(p\\), \\(1\\), \\(+\
\\)] \\*SubsuperscriptBox[\\(p\\), \\(2\\), \\(+\\)]\\)]\\)\"\>",
        HoldForm]},
      {"1", "1", "1", 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{
             SubscriptBox["k", "+"], " ", 
             SubsuperscriptBox["p", "\<\"2x\"\>", "\<\"*\"\>"]}]}], "+", 
           RowBox[{"\[ImaginaryI]", " ", 
            SubscriptBox["k", "+"], " ", 
            SubsuperscriptBox["p", "\<\"2y\"\>", "\<\"*\"\>"]}], "+", 
           RowBox[{
            SubscriptBox["p", "\<\"2+\"\>"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["k", "x"], "-", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["k", "y"]}]}], ")"}]}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["k", "+"], " ", 
           SubscriptBox["p", "\<\"2+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {"1", "1", 
       RowBox[{"-", "1"}], 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           SubscriptBox["m", "f"], " ", 
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["p", "\<\"2+\"\>"], "-", 
             SubscriptBox["p", "\<\"1+\"\>"]}], ")"}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["p", "\<\"1+\"\>"], " ", 
           SubscriptBox["p", "\<\"2+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {"1", 
       RowBox[{"-", "1"}], "1", 
       TagBox[
        FormBox["0",
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {"1", 
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}], 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           RowBox[{
            SubscriptBox["p", "\<\"1+\"\>"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["k", "x"], "-", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["k", "y"]}]}], ")"}]}], "-", 
           RowBox[{
            SubscriptBox["k", "+"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["p", "\<\"1x\"\>"], "-", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["p", "\<\"1y\"\>"]}]}], ")"}]}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["k", "+"], " ", 
           SubscriptBox["p", "\<\"1+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {
       RowBox[{"-", "1"}], "1", "1", 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           RowBox[{
            SubscriptBox["p", "\<\"1+\"\>"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["k", "x"], "+", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["k", "y"]}]}], ")"}]}], "-", 
           RowBox[{
            SubscriptBox["k", "+"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["p", "\<\"1x\"\>"], "+", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["p", "\<\"1y\"\>"]}]}], ")"}]}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["k", "+"], " ", 
           SubscriptBox["p", "\<\"1+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {
       RowBox[{"-", "1"}], "1", 
       RowBox[{"-", "1"}], 
       TagBox[
        FormBox["0",
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}], "1", 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           SubscriptBox["m", "f"], " ", 
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["p", "\<\"1+\"\>"], "-", 
             SubscriptBox["p", "\<\"2+\"\>"]}], ")"}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["p", "\<\"1+\"\>"], " ", 
           SubscriptBox["p", "\<\"2+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]},
      {
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}], 
       TagBox[
        FormBox[
         FractionBox[
          RowBox[{
           RowBox[{
            SubscriptBox["p", "\<\"2+\"\>"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["k", "x"], "+", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubscriptBox["k", "y"]}]}], ")"}]}], "-", 
           RowBox[{
            SubscriptBox["k", "+"], " ", 
            RowBox[{"(", 
             RowBox[{
              SubsuperscriptBox["p", "\<\"2x\"\>", "\<\"*\"\>"], "+", 
              RowBox[{"\[ImaginaryI]", " ", 
               SubsuperscriptBox["p", "\<\"2y\"\>", "\<\"*\"\>"]}]}], 
             ")"}]}]}], 
          RowBox[{
           SqrtBox["2"], " ", 
           SubscriptBox["k", "+"], " ", 
           SubscriptBox["p", "\<\"2+\"\>"]}]],
         TraditionalForm],
        TraditionalForm,
        Editable->True]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, 
       "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    {None, OutputFormsDump`HeadedColumns}],
   Function[BoxForm`e$, 
    TableForm[BoxForm`e$, TableHeadings -> {None, {$CellContext`\[Lambda], 
        Subscript[$CellContext`s, 1], 
        Subscript[$CellContext`s, 2], 
        "\!\(\*SubscriptBox[OverscriptBox[\(u\), \(_\)], SubscriptBox[\(s\), \
\(2\)]]\)(\!\(\*SubscriptBox[\(p\), \(2\)]\))\!\(\*SubscriptBox[\(\[Gamma]\), \
\(\[Mu]\)]\)\!\(\*SubsuperscriptBox[\(\[CurlyEpsilon]\), \(\[Lambda]\), \(\(\
\[Mu]\)\(*\)\)]\)(k)\!\(\*SubscriptBox[\(u\), SubscriptBox[\(s\), \
\(1\)]]\)(\!\(\*SubscriptBox[\(p\), \
\(1\)]\))/2\!\(\*SqrtBox[\(\*SubsuperscriptBox[\(p\), \(1\), \(+\)] \
\*SubsuperscriptBox[\(p\), \(2\), \(+\)]\)]\)"}}]]], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.6991997915121317`*^9, 3.6991998455221024`*^9}, 
   3.699199876292005*^9, {3.6991999106271276`*^9, 3.699199924508171*^9}, {
   3.699200085146709*^9, 3.699200140915988*^9}},
 FontSize->18,
 Background->RGBColor[
  1, 1, 0.85],ExpressionUUID->"38e8cd21-db6f-4910-b4bc-7ad57b29066f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ubar", "[", 
   RowBox[{"s1", ",", "x1", ",", "p1x", ",", "p1y", ",", 
    SubscriptBox["m", "f"]}], "]"}], ".", "GammaP", ".", "Gamma5", ".", 
  RowBox[{"u", "[", 
   RowBox[{"s2", ",", "x2", ",", "p2x", ",", "p2y", ",", 
    SubscriptBox["m", "f"]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.828399770246994*^9, 3.828399843336253*^9}},
 CellLabel->
  "In[528]:=",ExpressionUUID->"8cb0a469-7bd8-4c75-a709-3323f1ba4b85"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "2"]}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", "s2"}], ")"}], " ", 
   SqrtBox["x2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"Conjugate", "[", "s1", "]"}]}], ")"}], " ", 
   RowBox[{"Conjugate", "[", 
    SqrtBox["x1"], "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "s2"}], ")"}], " ", 
   SqrtBox["x2"], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"Conjugate", "[", "s1", "]"}]}], ")"}], " ", 
   RowBox[{"Conjugate", "[", 
    SqrtBox["x1"], "]"}]}]}]], "Output",
 CellChangeTimes->{3.828399872940317*^9},
 CellLabel->
  "Out[528]=",ExpressionUUID->"8cbe493b-f85d-4eb2-95b9-536d60893d4c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TraditionalForm", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ubar", "[", 
       RowBox[{"s1", ",", "x1", ",", "p1x", ",", "p1y", ",", 
        SubscriptBox["m", "f"]}], "]"}], ".", "GammaP", ".", "Gamma5", ".", 
      RowBox[{"u", "[", 
       RowBox[{"s2", ",", "x2", ",", "p2x", ",", "p2y", ",", 
        SubscriptBox["m", "f"]}], "]"}]}], ",", 
     RowBox[{"Assumptions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x1", ">", "0"}], ",", 
        RowBox[{"x2", ">", "0"}], ",", 
        RowBox[{
         SubscriptBox["m", "f"], ">", "0"}], ",", 
        RowBox[{"s1", "\[Element]", "Reals"}], ",", 
        RowBox[{"s2", "\[Element]", "Reals"}]}], "}"}]}]}], "]"}], " ", "]"}],
   "/.", "displaycomplex"}]], "Input",
 CellChangeTimes->{{3.828399880650395*^9, 3.8283999918798122`*^9}},
 CellLabel->
  "In[535]:=",ExpressionUUID->"3548e891-4c7e-4475-b44f-13ecc9bc8f7f"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"s1", "+", "s2"}], ")"}], " ", 
   SqrtBox[
    RowBox[{"x1", " ", "x2"}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.828399882549581*^9, {3.828399916542583*^9, 3.828399941663455*^9}, {
   3.828399972217744*^9, 3.8283999923830833`*^9}},
 CellLabel->
  "Out[535]//TraditionalForm=",ExpressionUUID->"2efe401d-3c69-46e4-b084-\
826d46e0907c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "GammaL"}]], "Input",
 CellChangeTimes->{{3.82840005395325*^9, 3.82840005434789*^9}},
 CellLabel->
  "In[536]:=",ExpressionUUID->"ba8c231f-ffe6-4f8f-95d0-c12750cd4b6c"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"4 \[Times] 4 gamma matrix \
\\!\\(\\*SuperscriptBox[\\(\[Gamma]\\), \\(L\\)]\\) = \
\\!\\(\\*SuperscriptBox[\\(\[Gamma]\\), \\(1\\)]\\) - \[ImaginaryI] \
\\!\\(\\*SuperscriptBox[\\(\[Gamma]\\), \\(2\\)]\\)\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"OwnValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "OwnValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{"GammaL", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", 
                    RowBox[{"-", "2"}], ",", "0"}], "}"}]}], "}"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], \
"\<\"LightFrontSpinors`LightFrontSpinors`GammaL\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"4 \[Times] 4 gamma matrix \
\\!\\(\\*SuperscriptBox[\\(\[Gamma]\\), \\(L\\)]\\) = \
\\!\\(\\*SuperscriptBox[\\(\[Gamma]\\), \\(1\\)]\\) - \[ImaginaryI] \
\\!\\(\\*SuperscriptBox[\\(\[Gamma]\\), \\(2\\)]\\)\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{10., {2., 8.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "4 \[Times] 4 gamma matrix \!\(\*SuperscriptBox[\(\[Gamma]\), \(L\)]\) = \
\!\(\*SuperscriptBox[\(\[Gamma]\), \(1\)]\) - \[ImaginaryI] \
\!\(\*SuperscriptBox[\(\[Gamma]\), \(2\)]\)", "Documentation" -> None, 
    "OwnValues" -> 
    Information`InformationValueForm[
     OwnValues, LightFrontSpinors`LightFrontSpinors`GammaL, {
      LightFrontSpinors`LightFrontSpinors`GammaL -> {{0, 0, 0, 0}, {2, 0, 0, 
        0}, {0, 0, 0, 0}, {0, 0, -2, 0}}}], "UpValues" -> None, "DownValues" -> 
    None, "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
    "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "LightFrontSpinors`LightFrontSpinors`GammaL"], False]]], "Output",
 CellChangeTimes->{3.8284000549887037`*^9},
 CellLabel->
  "Out[536]=",ExpressionUUID->"835e75bb-e538-4f4f-be66-08a9f985da0c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TraditionalForm", "[", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"vbar", "[", 
       RowBox[{"s1", ",", "x1", ",", "p1x", ",", "p1y", ",", 
        SubscriptBox["m", "f"]}], "]"}], ".", "GammaR", ".", "Gamma5", ".", 
      RowBox[{"u", "[", 
       RowBox[{"s2", ",", "x2", ",", "p2x", ",", "p2y", ",", 
        SubscriptBox["m", "f"]}], "]"}]}], ",", 
     RowBox[{"Assumptions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x1", ">", "0"}], ",", 
        RowBox[{"x2", ">", "0"}], ",", 
        RowBox[{
         SubscriptBox["m", "f"], ">", "0"}], ",", 
        RowBox[{"s1", "\[Element]", "Reals"}], ",", 
        RowBox[{"s2", "\[Element]", "Reals"}], ",", 
        RowBox[{"p1x", "\[Element]", "Reals"}], ",", 
        RowBox[{"p1y", "\[Element]", "Reals"}], ",", 
        RowBox[{"p2x", "\[Element]", "Reals"}], ",", 
        RowBox[{"p2y", "\[Element]", "Reals"}]}], "}"}]}]}], "]"}], " ", 
   "]"}], "/.", "displaycomplex"}]], "Input",
 CellChangeTimes->{{3.828400065574321*^9, 3.828400086388123*^9}, {
  3.8284001639983273`*^9, 3.828400180670577*^9}, {3.828400212424636*^9, 
  3.828400212647827*^9}},
 CellLabel->
  "In[540]:=",ExpressionUUID->"9c4fb5b8-3819-42d3-84a4-aa4f58f48935"],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"s1", "-", "1"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"s2", "-", "1"}], ")"}], " ", 
     SubscriptBox["m", "f"], " ", 
     RowBox[{"(", 
      RowBox[{"x1", "-", "x2"}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"s1", "+", "1"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"s2", "-", "1"}], ")"}], " ", "x2", " ", 
     RowBox[{"(", 
      RowBox[{"p1x", "+", 
       RowBox[{"\[ImaginaryI]", " ", "p1y"}]}], ")"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"s1", "-", "1"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"s2", "+", "1"}], ")"}], " ", "x1", " ", 
     RowBox[{"(", 
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"p2x", "+", 
         RowBox[{"\[ImaginaryI]", " ", "p2y"}]}], ")"}]}], ")"}]}]}], 
   RowBox[{"2", " ", 
    SqrtBox[
     RowBox[{"x1", " ", "x2"}]]}]], TraditionalForm]], "Output",
 CellChangeTimes->{{3.8284000691438303`*^9, 3.828400078494721*^9}, 
   3.828400181783702*^9, 3.82840021381907*^9},
 CellLabel->
  "Out[540]//TraditionalForm=",ExpressionUUID->"55bb2fdf-7bca-44da-8800-\
3fc1e5fae9ca"]
}, Open  ]]
},
WindowSize->{1002, 789},
WindowMargins->{{Automatic, 139}, {-61, Automatic}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info3699174190-1236834"->{
  Cell[21702, 575, 284, 6, 42, "Print",ExpressionUUID->"8351e4bf-017a-4d78-84cd-a385ae4bd443",
   CellTags->"Info3699174190-1236834"],
  Cell[21989, 583, 3830, 100, 252, "Print",ExpressionUUID->"1fb652de-0947-4a7c-88c8-09d695dfe6ad",
   CellTags->"Info3699174190-1236834"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info3699174190-1236834", 66588, 1801}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 255, 5, 30, "Input",ExpressionUUID->"f0323728-e4bb-4afd-be93-b82d118dd83c"],
Cell[838, 29, 237, 4, 34, "Output",ExpressionUUID->"bbb312a9-a1c2-4ac7-9c87-c77e1719f355"]
}, Open  ]],
Cell[1090, 36, 194, 4, 30, "Input",ExpressionUUID->"2c1686b5-1040-4811-8fb3-b2744b5949a2"],
Cell[CellGroupData[{
Cell[1309, 44, 222, 4, 30, "Input",ExpressionUUID->"73f27e6f-a942-4432-9071-80871c1c064e"],
Cell[CellGroupData[{
Cell[1556, 52, 266, 5, 24, "Print",ExpressionUUID->"691cfaa1-4963-4d0b-838d-bba65ed73fe7"],
Cell[1825, 59, 268, 5, 24, "Print",ExpressionUUID->"66c82e1c-4f72-4401-a3d7-0b65bc17b862"],
Cell[2096, 66, 295, 6, 24, "Print",ExpressionUUID->"64a2219c-cabd-4758-b052-59ba048dea65"],
Cell[2394, 74, 291, 6, 24, "Print",ExpressionUUID->"e7503d08-9c86-4d43-817b-7295218256a8"],
Cell[2688, 82, 275, 5, 24, "Print",ExpressionUUID->"c4d96fc6-e3ef-4561-8956-7343876c3106"],
Cell[2966, 89, 255, 5, 24, "Print",ExpressionUUID->"915a34f8-955b-416c-a417-c29477d01563"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3270, 100, 212, 4, 30, "Input",ExpressionUUID->"8eb862fd-df6a-4538-9075-c15979d28290"],
Cell[3485, 106, 292, 5, 24, "Print",ExpressionUUID->"e4d4a267-2b96-4e12-94e8-8d7239cfc189"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3814, 116, 212, 4, 30, "Input",ExpressionUUID->"88502ffd-c15b-42d0-81fc-14abef22efc4"],
Cell[4029, 122, 280, 5, 24, "Print",ExpressionUUID->"656e4c70-5805-4a1c-97bf-790d48b2fecc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4346, 132, 212, 4, 30, "Input",ExpressionUUID->"63c70298-8f55-45af-a70b-eb11c6320f2a"],
Cell[4561, 138, 237, 4, 24, "Print",ExpressionUUID->"95ed915f-861c-449f-8a6e-51a3b5b373d7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4835, 147, 198, 4, 30, "Input",ExpressionUUID->"801a4b36-8a34-4b97-884b-f23321d52d3c"],
Cell[5036, 153, 11795, 279, 193, "Output",ExpressionUUID->"ff99a4a5-70d5-4e18-bd79-4068e15fd981"]
}, Open  ]],
Cell[16846, 435, 2484, 64, 136, "Input",ExpressionUUID->"d1d7d11d-87f2-4922-b3c0-ab0353587abf"],
Cell[CellGroupData[{
Cell[19355, 503, 1316, 33, 56, "Input",ExpressionUUID->"3fb5a15f-946e-44c2-9683-dc60fcde7ead"],
Cell[20674, 538, 780, 24, 60, "Output",ExpressionUUID->"11977f4e-d72e-425d-ba9b-6b6be000fce0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21491, 567, 186, 4, 30, "Input",ExpressionUUID->"e58edb6c-b6d8-4468-a96b-3ef3af5ce1cd"],
Cell[CellGroupData[{
Cell[21702, 575, 284, 6, 42, "Print",ExpressionUUID->"8351e4bf-017a-4d78-84cd-a385ae4bd443",
 CellTags->"Info3699174190-1236834"],
Cell[21989, 583, 3830, 100, 252, "Print",ExpressionUUID->"1fb652de-0947-4a7c-88c8-09d695dfe6ad",
 CellTags->"Info3699174190-1236834"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[25868, 689, 3670, 83, 231, "Input",ExpressionUUID->"e0f48f71-fc3b-49c9-818f-ab976fb11fc2"],
Cell[29541, 774, 7152, 212, 312, "Output",ExpressionUUID->"ed688809-274c-4675-a692-2ce08441b3b3"]
}, Open  ]],
Cell[36708, 989, 2370, 62, 136, "Input",ExpressionUUID->"83098e9a-b5e2-4a54-baee-e75b37c253ca"],
Cell[CellGroupData[{
Cell[39103, 1055, 3979, 92, 270, "Input",ExpressionUUID->"29fe47fa-2744-4a63-893a-c0411604d290"],
Cell[43085, 1149, 7500, 217, 362, "Output",ExpressionUUID->"38e8cd21-db6f-4910-b4bc-7ad57b29066f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50622, 1371, 455, 10, 30, "Input",ExpressionUUID->"8cb0a469-7bd8-4c75-a709-3323f1ba4b85"],
Cell[51080, 1383, 755, 25, 50, "Output",ExpressionUUID->"8cbe493b-f85d-4eb2-95b9-536d60893d4c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[51872, 1413, 963, 24, 52, "Input",ExpressionUUID->"3548e891-4c7e-4475-b44f-13ecc9bc8f7f"],
Cell[52838, 1439, 415, 12, 52, "Output",ExpressionUUID->"2efe401d-3c69-46e4-b084-826d46e0907c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53290, 1456, 196, 4, 30, "Input",ExpressionUUID->"ba8c231f-ffe6-4f8f-95d0-c12750cd4b6c"],
Cell[53489, 1462, 10274, 252, 96, "Output",ExpressionUUID->"835e75bb-e538-4f4f-be66-08a9f985da0c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63800, 1719, 1282, 30, 73, "Input",ExpressionUUID->"9c4fb5b8-3819-42d3-84a4-aa4f58f48935"],
Cell[65085, 1751, 1183, 37, 66, "Output",ExpressionUUID->"55bb2fdf-7bca-44da-8800-3fc1e5fae9ca"]
}, Open  ]]
}
]
*)

